DESCRIPTION = "library for easy implementation of a RDP/VNC server"
AUTHOR = "Johannes Schindelin <dscho@users.sourceforge.net"
HOMEPAGE = "http://sourceforge.net/projects/libvncserver/"
SECTION = "libs"
PRIORITY = "optional"
LICENSE = "GPLv2"
DEPENDS = "zlib jpeg"

PR = "r0"
SRC_URI  = "${SOURCEFORGE_MIRROR}/libvncserver/LibVNCServer-${PV}.tar.gz;md5sum=aa00efc3dabde82fde9509bfbab0aba4"
SRC_URI += "file://configure_ac.patch;patch=1"
S = "${WORKDIR}/LibVNCServer-${PV}"

# => create libvncserver only
EXTRA_OEMAKE_append=" SUBDIRS='libvncserver' "

inherit autotools
do_stage() {
    autotools_stage_all
}


