DESCRIPTION = "library for easy implementation of a RDP/VNC server"
AUTHOR = "Johannes Schindelin <dscho@users.sourceforge.net"
HOMEPAGE = "http://sourceforge.net/projects/libvncserver/"
SECTION = "libs"
PRIORITY = "optional"
LICENSE = "GPLv2"
DEPENDS = "zlib jpeg"

PR = "r0"
SRC_URI = "${SOURCEFORGE_MIRROR}/libvncserver/LibVNCServer-${PV}.tar.gz;md5sum=4769d70bcd9d8390afb64c5eddfcd60e"
S = "${WORKDIR}/LibVNCServer-${PV}"

# => create libvncserver.a only
EXTRA_OEMAKE_append=" SUBDIRS='libvncserver examples'"

inherit autotools

do_stage() {
    autotools_stage_all
}
