#!/bin/bash
clear

UserName="patrikgfeller"
#Branch="Branch-008"
export CVS_RSH='ssh'
export AUTH="ext"
export SERVER="fbvncserver.cvs.sourceforge.net"
export CVSROOT=":${AUTH}:${UserName}@${SERVER}:/cvsroot/fbvncserver"
echo " ___________________________________________________________________________"
echo "|"
echo "|-> Encryption  : ${CVS_RSH} "
echo "|-> CVSROOT     : ${CVSROOT} "
echo "|-> Branch      : ${Branch}  "
echo "|___________________________________________________________________________"
if [ -d  "../scripts" ];
then
  cd ../../  
fi

if [ -d "./ipkg" ];
then
  echo " [I] Project directory found => updating project"   
  if  [ "${Branch}" != ""  ]
  then 
    cvs update -d -P -r ${Branch} ipkg 1>/dev/null
  else 
    cvs update -d -P ipkg  1>/dev/null
#              |   -> prune empty directories
#              -----> create missing dirs
  fi
  echo " [I] done."
else
  echo " [W] Project directory not found => checkout ..."  
  if  [ "${Branch}" != ""  ]
  then
    cvs checkout -r ${Branch} ipkg 1>/dev/null
    ln -s ./ipkg ./core
  else 
    cvs checkout ipkg 1>/dev/null
  fi  
  chmod 755 ./ipkg/scripts/arm-compiler.sh
  echo " [I] done."
fi

cd ipkg/scripts
if  [ "${Branch}" == ""  ]
  then
    Branch="[MAIN]"
fi
PS1="fbvncserver CVS - ${Branch} \n\w :> "
export PS1
echo
/bin/bash -norc
echo
