#!/bin/bash
clear
# VAR
 # CVS
  UserName="anoncvs"
  Password="anoncvs"
  CVS_Auth="pserver"
  CVS_Server="cvs.handhelds.org"
  CVS_Repository="/cvs"
  CVS_Module="./linux/kernel"
  CVS_TAG="K2-4-19-rmk6-pxa1-hh37"   # iPAQ38xx Familiar 0.8.3 snapshot
  CVS_TAG="K2-4-19-rmk6-pxa1-hh41"   # iAPQ54xx & 55xx with Familiar 0.8.4 rc2
      # -> see "http://www.handhelds.org/handhelds-faq/development.html#AEN1655"
      #    Comment: for an unknown reason [sed] doesn't work as expected @ my system
# Main
echo "****"
echo "* CVS (linux/kernel) ..."
echo "****"
CVSROOT=":${CVS_Auth}:${UserName}@${CVS_Server}:${CVS_Repository}"
export CVSROOT
echo " [I]: CVSROOT: $CVSROOT   "
echo "      Password=${Password}"
echo


echo ""
if [ -d ${PROJECT_HOME}/${CVS_TAG} ];
then   
  echo " [I]: Kernel directory found."
  echo " [I]: updating ..."
  echo
  echo "***"
  cd ${CVS_Module}/${CVS_TAG}
  cvs login
  cvs update -r ${CVS_TAG} ${CVS_Module} 1>/dev/null
  echo "***"
  echo " [I]: done."
else
  echo " [W]: Kernel directory not found -> checkout ..."
  echo "****"
  cd ${PROJECT_HOME}
  mkdir ${CVS_TAG}
  cd ${CVS_TAG}
  cvs login
  cvs checkout -r ${CVS_TAG} ${CVS_Module} 1>/dev/null
  echo "****"
  echo " [I]: done."
fi
