void FUNCTIONNAME
             (rfbScreenInfoPtr rfbScreen, 
              unsigned short int* fbbuf,
	      unsigned short int* cmpbuf) {
  
  unsigned short int
     *comparePointer = cmpbuf,
     *sourcePointer  = fbbuf, 
     *targetPointer  = (unsigned short int *) rfbScreen -> frameBuffer,
/*
 * The main program has already adjusted/rotated the dimension of the
 * remote buffer if SWAP is defined. We have to swap x/y again to reflect the HW
 * screen dimensions
 */     
#ifdef SWAP      
      x = rfbScreen -> height,
      y = rfbScreen -> width,
#else
      x = rfbScreen -> width,   
      y = rfbScreen -> height,
#endif 
      nCounterX = 0,
      nCounterY = 0;
  
  unsigned long int 
      changedPixels = 0;
      
  sraRect
      modifiedRegion;

  modifiedRegion.x1 = (rfbScreen -> width)  +1;
  modifiedRegion.y1 = (rfbScreen -> height) +1;  
  modifiedRegion.x2 =  -1;
  modifiedRegion.y2 =  -1;
  
#define PIXELPOSITION nCounterX + nCounterY * x
  for (nCounterY = 0; nCounterY < y; nCounterY++) {   
    for (nCounterX = 0; nCounterX < x; nCounterX++) {
      if (comparePointer[PIXELPOSITION] != sourcePointer[PIXELPOSITION]) {  // only update changed pixels
        comparePointer[PIXELPOSITION] 
            = sourcePointer[PIXELPOSITION];     // update comparebuffer
        
        targetPointer[FUNCTION(nCounterX,nCounterY)] 
            = comparePointer[PIXELPOSITION];    // update remote framebuffer
        
        // extend the changed region to cover this pixel (if necessary)
        if ((FUNCTIONX) < modifiedRegion.x1) modifiedRegion.x1 = FUNCTIONX;
        if ((FUNCTIONX) > modifiedRegion.x2) modifiedRegion.x2 = FUNCTIONX;
        if ((FUNCTIONY) < modifiedRegion.y1) modifiedRegion.y1 = FUNCTIONY;
        if ((FUNCTIONY) > modifiedRegion.y2) modifiedRegion.y2 = FUNCTIONY;
        changedPixels++;    	
      }; // end of [*cmpbuf != ...]
    }; // end of [for]       
  }; // end of [for]   
#undef PIXELPOSITION

  if (changedPixels > 0) 
    rfbMarkRectAsModified(rfbScreen,
                          modifiedRegion.x1-1,
                          modifiedRegion.y1-1,
                          modifiedRegion.x2+1,
                          modifiedRegion.y2+1);
}; // end of [FUNCTIONNAME]
