DESCRIPTION = "Version ${PV}-${PR} of package ${PN}, a Framebuffer VNC Server for PDA"
AUTHOR = "Patrik Gfeller <gfellerpatrik@gmx.net>"
HOMEPAGE = "http://fbvncserver.sourceforge.net/"
SECTION = "console/utils"
PRIORITY = "optional"
LICENSE = "GPLv2"
DEPENDS = "libvncserver jpeg zlib gmp tslib"
RRECOMMENDS = "kernel-modules-uinput kernel-module-keybdev"
RCONFLICTS = "fbvncserver, fbvncserver-kmodule"
PR = "r0"
SRC_URI = "cvs://anonymous@fbvncserver.cvs.sourceforge.net/cvsroot/fbvncserver;method=pserver;module=ipkg"
S = "${WORKDIR}/ipkg/src/"

inherit autotools

EXTRA_OECONF = "--enable-debug"
PACKAGES = "${PN}"
FILES_${PN} += "/usr/share/vnc/*"

pkg_postinst_${PN} () {
  cp -p /etc/profile.d/tsslib.sh /usr/share/vnc/tsslib.sh.org
  rm /etc/profile.d/tsslib.sh
  cp -p /usr/share/vnc/tslib-collie.sh /etc/profile.d/tsslib.sh
  chmod 755 /etc/profile.d/tsslib.sh
}

pkg_postrm_${PN} () {
  rm /etc/profile.d/tsslib.sh
  cp -p /usr/share/vnc/tsslib.sh.org /etc/profile.d/tsslib.sh
}
