#!/bin/sh

for server in monotone.openembedded.org ewi546.ewi.utwente.nl dominion.kabel.utwente.nl monotone.vanille.de
do
  if monotone --db=${BASEDIR}OE.mtn pull $server ${branch}
    then break
    else echo " [W] unable to reach ${server} ... "
  fi
done

if [ -d ${BASEDIR}${branch} ]
   then cd ${BASEDIR}${branch}
   else
    monotone --db=${BASEDIR}OE.mtn checkout --branch=${branch}
    cd ${BASEDIR}${branch}
fi

monotone update
