#!/bin/bash
# ***
# * Project 	: fbvncserver
# * Filename	: scripts/upload_web_page.bash
# * Module/Type	: Shell Script (bash), Utility
# * Platform 	: Linux x86
# * Language	: script (bash)
# ***
# Description 	:
#   ... uploads the local project web-pages to Sourforge.net
UserName="patrikgfeller"                                # Sourceforge.net user-name
ProjectUNIXName="fbvncserver"                           # Project UNIX name
ProjectHome="../"    									#   -> todo: define such constants in a global environment initialization 
LocalWebHome="${ProjectHome}/web-page/"             	# Source 
#--- no changes needed below this line ---
Destination="${UserName}@shell.sourceforge.net:/home/groups/${ProjectUNIXName:0:1}/${ProjectUNIXName:0:2}/${ProjectUNIXName}/htdocs/"
echo
echo " [I]: Source      = ${LocalWebHome}"
echo " [I]: Destination = ${Destination}"
echo
echo " => updating project documentation ..."
cp -r ${ProjectHome}/doc/html ${LocalWebHome}/doxy/
scp -r ${LocalWebHome} ${Destination}
echo
