#ifndef ROTATE_C
#define ROTATE_C
#include "rotate.h"
              
  unsigned short int notEqual ( unsigned short int *fbbuf, 
                                unsigned short int *cmpbuf,
                                unsigned long  int  size ) {
  unsigned short int 
      nCounter,
      returnValue = 0;                                
  for (nCounter = 0; nCounter < size; nCounter++) {
    if (*cmpbuf++ != *fbbuf++) {
      returnValue = 1;
      break;
    }; // end of [if]
  }; // end of [for]
  return returnValue;
}; // end of [notEqual]

/*
 * x: width  --- of the HW framebuffer (mmap)
 * y: height --/
 * nCounterX: [x] iterator   --- both in respect to the HW mmap Layout
 * nCounterY: [y] iterator   --/
 *
 * the template iterates Pxy [0,0]   ... [x-1,  0]
 *                           [0,1]   ... [x-1,  1]
 *                                   ...
 *                           [0,y-1] ... [x-1,y-1]
 */              
#define  FUNCTIONNAME rotate90 
/** the layout of our rfbScreen target buffer is different from the mmaped HW buffer (x<->y, y<->x) */
#define  SWAP
/** function to calculate new [x]-position */
#define  FUNCTIONX ((y-1)-nCounterY)
/** function to calculate new [y]-position */
#define  FUNCTIONY nCounterX
/** calculate the pixel position for the target buffer */
#define  FUNCTION(nCounterX, nCounterY) (FUNCTIONX + FUNCTIONY * y)
#include "rotatetemplate.c"
#undef   FUNCTION
#undef   FUNCTIONY
#undef   FUNCTIONX
#undef   SWAP
#undef   FUNCTIONNAME
// ---
#define  FUNCTIONNAME rotate0
#define  FUNCTIONX nCounterX
#define  FUNCTIONY nCounterY
#define  FUNCTION(nCounterX, nCounterY) (PIXELPOSITION)
#include "rotatetemplate.c"
#undef   FUNCTION
#undef   FUNCTIONY
#undef   FUNCTIONX
#undef   FUNCTIONNAME
// ---
#define  FUNCTIONNAME rotate180
#define  FUNCTIONX ((x-1)-nCounterX)
#define  FUNCTIONY ((y-1)-nCounterY)
#define  FUNCTION(nCounterX, nCounterY) (FUNCTIONX + FUNCTIONY * x)
#include "rotatetemplate.c"
#undef   FUNCTION
#undef   FUNCTIONY
#undef   FUNCTIONX
#undef   FUNCTIONNAME
// ---
#define  FUNCTIONNAME rotate270
#define  SWAP
#define  FUNCTIONX nCounterY
#define  FUNCTIONY ((x-1)-nCounterX)
#define  FUNCTION(nCounterX, nCounterY) (FUNCTIONX + FUNCTIONY * y)
#include "rotatetemplate.c"
#undef   FUNCTION
#undef   FUNCTIONY
#undef   FUNCTIONX
#undef   SWAP
#undef   FUNCTIONNAME

#endif
