#!/bin/sh

echo [I] ... going to load kernel modules

modprobe uinput
modprobe keybdev
modprobe mousedev
modprobe evdev

if [ ! -e /dev/uinput ]
 then
  echo [I] ... going to create uinput device node
  mknod /dev/uinput c 10 223
fi

echo [I] ... going to create event nodes [0..3]

if [ ! -d /dev/input ]
 then
  mkdir /dev/input
fi

if [ ! -e /dev/input/event0 ]
 then
mknod /dev/input/event0 c 13 64
fi

if [ ! -e /dev/input/event1 ]
 then
  mknod /dev/input/event1 c 13 65
fi

if [ ! -e /dev/input/event2 ]
 then
  mknod /dev/input/event2 c 13 66
fi

if [ ! -e /dev/input/event3 ]
 then
  mknod /dev/input/event3 c 13 67
fi
